Homebrew Channel up and running, whats next?

Discussion in 'Wii - Hacking' started by Grimm, Mar 31, 2009.

Mar 31, 2009
  1. Grimm
    OP

    Newcomer Grimm Advanced Member

    Joined:
    Nov 22, 2008
    Messages:
    63
    Country:
    United States
    Ok so I have THC working and i've got my homebrew software issues sorted out. I installed THC using the TP exploit and can boot a few console emulators from my SD card.

    So now I think I want to take the next step on my way to being fully modded. I've been reading a bit about Softmii and loaders, but I don't quite understand everything.

    1. I understand that starfall is an app for recovery, in case of bricking or partial bricking. I'd like to install this for obvious reasons, but I want to avoid installing Preloader because I want my Wii to start up as normal. Is this possible?
    2. Do loaders allow me to load backups via the homebrew channel? If so, will loaders allow me to play Wii and GCN backups or just one or the other?
    3. Do I only need to softmod if I want to play backups via the disc channel?
    4. I've read a bit about Softmii. Is this the 'preferred' softmod for the Wii, or is there another package that everyone prefers to use?
    5. My Wii has a firmware version of 2.2, according to the System menu. I keep reading that Softmii is for version 3.2. Do I need to upgrade to 3.2 or will my current 2.2 firmware accept a softmod?

    Thanks for your patience guys. It's much appreciated. As a big member of a Ford Mustang forum, I know how it can be having to answer the same questions from the new kids every couple days. I've tried to soften the blow by informing myself as much as possible and typing this out so its legible. [​IMG]
     
  2. Grimm
    OP

    Newcomer Grimm Advanced Member

    Joined:
    Nov 22, 2008
    Messages:
    63
    Country:
    United States
    Don't everybody jump up at once... [​IMG]
     
  3. Stang

    Member Stang GBAtemp Regular

    Joined:
    Dec 17, 2008
    Messages:
    289
    Country:
    United States
    04 GT with a FRPP 5.0 crate motor here [​IMG]

    Hmm where to start...

    1. Install preloader. Your Wii boot sequence will not change, unless you enable hacks that instruct it to do so. You only enter preloader's menu by hitting reset at launch. I only screwed with preloader settings once since I installed it a while back, forgot it was there till this I read this thread. [​IMG]

    2. Yes, if you followed the guides you would have installed the cIOS's that will enable backup launching. You can either use the homebrew channel if you have only a .dol, a loader in the form of a channel, or the way most people prefer, using the disk channel. Disk channel launching requires installing cioscorp.

    3. Opposed to a hard mod? Not sure what you mean. But yes, softmod's are fully capable. For Gamecube backups, you need the custom mios. Run a search here on the forums for it. You can load the gamecube games through the disk channel, hbc or via a channel, just like Wii games.

    4. Softmii is great, I advise you to use that pacakge. It will enable region free everything, bypass disk updates, install cioscorp, and pretty much make your Wii safe for to use for even the biggest Wii noobs out there.

    5. Living in the stone age much? [​IMG] Yeah, update to 3.2.
     
  4. Grimm
    OP

    Newcomer Grimm Advanced Member

    Joined:
    Nov 22, 2008
    Messages:
    63
    Country:
    United States
    05 coupe, 4.0l with Flowmasters, FRPP 3.73s/lsd and a Hurst Competition Plus, in case you were wondering. [​IMG]

    So I should go ahead and install preloader as well as starfall to give myself the best chance at recovering, should I brick at some point.

    Looking at the Softmii guide, it looks like it will have me install the custom IOS's as well as cioscorp. From what I understand, cioscorp is only necessary if I want to boot via the disc channel, right?

    My Wii can't update itself because it has a really bad connection to the 'net. Its only about 6 feet from our router but it has to recieve signal through a 60 year-old wall that is comprised of God-knows-what. I don't want to update to 4.0 anyway, but how can I get myself to 3.2?
     

Share This Page